2011-01-10 21:50  alan

	* unk/README.txt, unk/setup.py: tidy up for pypi upload

2010-04-07 18:23  alan

	* unk/BastionCurrencyTrader.py, unk/BastionMerchantService.py,
	  unk/BastionPayment.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/PayPalDirect/ZPayPalDirect.py,
	  unk/Merchants/VeriSign/verisign.py, unk/__init__.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types.xml,
	  unk/profiles/default/types/BastionCurrencyTradeable.xml,
	  unk/profiles/default/types/BastionCurrencyTrader.xml,
	  unk/profiles/default/types/BastionPayment.xml,
	  unk/profiles/default/workflows/bastionpayment_workflow/definition.xml,
	  unk/skins/bastionbanking/bastionmerchant_payments_form.cpt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/skins/bastionbanking/currency_tradeable_edit.cpy,
	  unk/skins/bastionbanking/currency_tradeable_edit.cpy.metadata,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt.metadata,
	  unk/skins/bastionbanking/currency_tradeable_view.pt,
	  unk/skins/bastionbanking/currency_trader_view.pt,
	  unk/skins/bastionbanking/currencytrader.gif,
	  unk/skins/bastionbanking/currencytrader.gif.metadata,
	  unk/tests/testCurrencyTrader.py, unk/www/currencytrader.gif,
	  unk/zpt/add_currency_tradeable.zpt, unk/zpt/merchant_queue.zpt,
	  unk/zpt/merchant_search.zpt, unk/zpt/returncodes.zpt: more PayPal
	  changes and fixes

2010-04-03 17:02  alan

	* unk/ConnectionMgr.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/PayPalDirect/ZPayPalDirect.py, unk/ZCurrency.py,
	  unk/profiles/default/metadata.xml: make ZCurrency accessors
	  public

2010-03-02 16:50  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/skins/bastionbanking/bastionmerchant_edit.cpy,
	  unk/skins/bastionbanking/bastionmerchant_edit.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_edit_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_edit_form.cpt.metadata,
	  unk/skins/bastionbanking/bastionmerchant_payments.cpy,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/zpt/returncodes.zpt: more robust ipn into PayPal

2010-02-27 18:27  alan

	* unk/BastionMerchantService.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/profiles/default/metadata.xml,
	  unk/skins/bastionbanking/bastionmerchant_payments_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_payments_form.cpt.metadata:
	  payment status fixes

2010-02-27 16:10  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/interfaces/BastionMerchantInterface.py, unk/returncode.py,
	  unk/skins/bastionbanking/bastionpayment_view.pt: make payee
	  optional

2010-02-27 15:08  alan

	* unk/BastionPayment.py, unk/Exceptions.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/profiles/default/workflows/bastionpayment_workflow/accept.py,
	  unk/profiles/default/workflows/bastionpayment_workflow/definition.xml,
	  unk/profiles/default/workflows/bastionpayment_workflow/reconcile.py,
	  unk/profiles/default/workflows/bastionpayment_workflow/refund.py,
	  unk/skins/bastionbanking/bastionmerchant_pay_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_payments.cpy,
	  unk/skins/bastionbanking/bastionmerchant_payments.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_payments_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_payments_form.cpt.metadata:
	  actions into merchant payments

2010-02-27 11:13  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/PayPal/ZPayPal.py, unk/Permissions.py, unk/browser,
	  unk/browser/__init__.py, unk/browser/configure.zcml,
	  unk/browser/portlets, unk/browser/portlets/__init__.py,
	  unk/browser/portlets/configure.zcml,
	  unk/browser/portlets/donate.pt, unk/browser/portlets/donate.py,
	  unk/configure.zcml, unk/interfaces/BastionMerchantInterface.py,
	  unk/profiles/default/portlets.xml,
	  unk/profiles/default/types/BastionMerchantService.xml,
	  unk/skins/bastionbanking/bastionbanking_donation.cpy,
	  unk/skins/bastionbanking/bastionbanking_payee.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_pay.cpy,
	  unk/skins/bastionbanking/bastionmerchant_pay.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_pay_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_pay_form.cpt.metadata,
	  unk/skins/bastionbanking/bastionmerchant_payments_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_payments_form.cpt.metadata,
	  unk/skins/bastionbanking/bastionmerchant_view.cpt,
	  unk/skins/bastionbanking/bastionmerchant_view.cpt.metadata,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_merchant_info.pt,
	  unk/skins/bastionbanking/creditcard.gif,
	  unk/skins/bastionbanking/currency_tradeable_edit.cpy.metadata,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt.metadata,
	  unk/skins/bastionbanking/portlet_donation.pt,
	  unk/skins/bastionbanking/validate_amount.vpy,
	  unk/zpt/add_merchantservice.zpt, unk/zpt/merchant_queue.zpt:
	  donations portlet

2010-02-25 16:22  alan

	* unk/Merchants/PayPal/www/paypal.gif: pay form into merchant and
	  Express Checkout into PayPal

2010-02-25 16:17  alan

	* unk/BastionMerchantService.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/PayPal/www/paypal.gif,
	  unk/interfaces/BastionMerchantInterface.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BastionMerchantService.xml,
	  unk/skins/bastionbanking/bastionbanking_payee_form.cpt.metadata,
	  unk/skins/bastionbanking/bastionmerchant_edit_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_pay.cpy,
	  unk/skins/bastionbanking/bastionmerchant_pay.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_pay_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_pay_form.cpt.metadata,
	  unk/skins/bastionbanking/bastionmerchant_view.cpt,
	  unk/tests/testMerchant.py, unk/www/visa.gif,
	  unk/zpt/add_merchantservice.zpt: pay form into merchant and
	  Express Checkout into PayPal

2010-02-11 12:53  alan

	* unk/setup.py: typo

2010-02-10 14:35  alan

	* unk/setup.cfg, unk/setup.py,
	  unk/skins/bastionbanking/creditcard.gif.metadata,
	  unk/skins/bastionbanking/currency.gif.metadata,
	  unk/skins/bastionbanking/currencytrader.gif.metadata,
	  unk/skins/bastionbanking/merchant.gif.metadata,
	  unk/skins/bastionbanking/payment.gif.metadata,
	  unk/skins/bastionbanking/quote.gif.metadata: eggification

2010-01-27 13:41  alan

	* unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/PayPalDirect/README.txt,
	  unk/profiles/default/metadata.xml, unk/tests/framework.py,
	  unk/tests/testCurrency.py: Plone 3.3 test framework tidy up

2009-10-28 08:48  alan

	* unk/currency.py, unk/profiles/default/metadata.xml: adding was
	  not returning a newed currency for math types

2009-09-07 01:48  alan

	* unk/Merchants/PayPalDirect/ZPayPalDirect.py,
	  unk/Merchants/PayPalDirect/__init__.py,
	  unk/Merchants/PayPalDirect/www/paypal.gif,
	  unk/Merchants/PayPalDirect/www/paypaldirect.gif,
	  unk/ZCreditCard.py, unk/profiles/default/metadata.xml,
	  unk/skins/bastionbanking/creditcard_view.pt: PayPalDirect icons

2009-08-07 03:15  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/BarclayCard/ZBarclayCard.py,
	  unk/Merchants/PayPal/ZPayPal.py, unk/Merchants/PayPalDirect,
	  unk/Merchants/PayPalDirect/ZPayPalDirect.py,
	  unk/Merchants/PayPalDirect/__init__.py,
	  unk/Merchants/PayPalDirect/tests,
	  unk/Merchants/PayPalDirect/tests/framework.py,
	  unk/Merchants/PayPalDirect/tests/testPayPalDirect.py,
	  unk/Merchants/PayPalDirect/www,
	  unk/Merchants/PayPalDirect/www/paypal.gif,
	  unk/Merchants/PayPalDirect/www/paypaldirect.gif,
	  unk/PortalContent.py, unk/configure.zcml, unk/currency.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BastionPayment.xml,
	  unk/profiles/default/workflows.xml,
	  unk/profiles/default/workflows/bastionpayment_workflow/definition.xml,
	  unk/returncode.py,
	  unk/skins/bastionbanking/bastionbanking_payee_form.cpt,
	  unk/skins/bastionbanking/bastionmerchant_view.cpt,
	  unk/skins/bastionbanking/bastionpayment_merchant_info.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/skins/bastionbanking/creditcard_view.pt,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt,
	  unk/tests/BankingTestCase.py, unk/www/visa.gif,
	  unk/zpt/merchant_search.zpt, unk/zpt/merchant_view.zpt: PayPal
	  NVP implementation

2008-12-14 09:17  alan

	* unk/profiles/default/metadata.xml, unk/version.txt: version into
	  metadata.xml

2008-10-30 00:42  alan

	* unk/profiles/default/types/BastionCurrencyTradeable.xml,
	  unk/profiles/default/types/BastionCurrencyTrader.xml,
	  unk/profiles/default/types/BastionMerchantService.xml,
	  unk/profiles/default/types/BastionPayment.xml,
	  unk/profiles/default/types/ZCreditCard.xml,
	  unk/skins/bastionbanking/bastionbanking_donation.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_save_search.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_view.cpt.metadata,
	  unk/skins/bastionbanking/currency_tradeable_edit.cpy,
	  unk/skins/bastionbanking/currency_tradeable_edit.cpy.metadata,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt.metadata,
	  unk/skins/bastionbanking/validate_amount.vpy,
	  unk/skins/bastionbanking/validate_creditcard.vpy,
	  unk/skins/bastionbanking/validate_payee_account.vpy,
	  unk/version.txt: migrate portal_status_message

2008-10-07 01:31  alan

	* unk/BastionCurrencyTrader.py, unk/BastionTradeable.py,
	  unk/configure.zcml, unk/currency.py: CMFCatalogAware fixes

2008-10-05 01:37  alan

	* unk/BastionTradeable.py, unk/Extensions/Install.py,
	  unk/PortalContent.py, unk/profiles/default/types.xml,
	  unk/version.txt: Plone 3.x upgrade

2008-09-24 16:05  alan

	* unk/profiles/default/skins.xml,
	  unk/profiles/default/workflows/bastionpayment_workflow/definition.xml:
	  doh workflow bugs

2008-09-23 04:54  alan

	* unk/profiles/default/workflows/bastionpayment_workflow/definition.xml:
	  workflow bugs

2008-09-23 04:14  alan

	* unk/__init__.py,
	  unk/profiles/default/workflows/bastionpayment_workflow/accept.py,
	  unk/profiles/default/workflows/bastionpayment_workflow/definition.xml,
	  unk/profiles/default/workflows/bastionpayment_workflow/reconcile.py,
	  unk/profiles/default/workflows/bastionpayment_workflow/refund.py,
	  unk/profiles/default/workflows/bastionpayment_workflow/reject.py:
	  scripts into workflow defs

2008-09-23 00:38  alan

	* unk/BastionCurrencyTrader.py, unk/BastionMerchantService.py,
	  unk/BastionPayment.py, unk/Extensions/Install.py,
	  unk/Permissions.py, unk/ZCreditCard.py, unk/ZCurrency.py,
	  unk/__init__.py, unk/config.py, unk/configure.zcml, unk/profiles,
	  unk/profiles/default, unk/profiles/default/skins.xml,
	  unk/profiles/default/types, unk/profiles/default/types.xml,
	  unk/profiles/default/types/BastionCurrencyTradeable.xml,
	  unk/profiles/default/types/BastionCurrencyTrader.xml,
	  unk/profiles/default/types/BastionMerchantService.xml,
	  unk/profiles/default/types/BastionPayment.xml,
	  unk/profiles/default/types/ZCreditCard.xml,
	  unk/profiles/default/workflows,
	  unk/profiles/default/workflows.xml,
	  unk/profiles/default/workflows/bastionpayment_workflow,
	  unk/profiles/default/workflows/bastionpayment_workflow/definition.xml,
	  unk/skins/bastionbanking/bastionbanking_payee_form.cpt.metadata,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt.metadata,
	  unk/version.txt: Generic Setup implementation

2008-06-29 13:58  alan

	* unk/BastionCurrencyTrader.py: icon upgrade

2008-06-29 13:54  alan

	* unk/www/currency.gif, unk/www/currencytrader.gif,
	  unk/www/merchant.gif, unk/www/quote.gif: icon upgrade

2008-06-29 13:51  alan

	* unk/www/currency.gif, unk/www/currencytrader.gif,
	  unk/www/quote.gif: icon upgrade

2008-06-29 13:46  alan

	* unk/skins/bastionbanking/currency.gif,
	  unk/skins/bastionbanking/currencytrader.gif,
	  unk/skins/bastionbanking/merchant.gif,
	  unk/skins/bastionbanking/quote.gif: icon upgrade

2008-06-29 13:43  alan

	* unk/skins/bastionbanking/bastionbanking_payee_form.cpt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/skins/bastionbanking/creditcard_view.pt,
	  unk/skins/bastionbanking/currency.gif,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt,
	  unk/skins/bastionbanking/currency_tradeable_view.pt,
	  unk/skins/bastionbanking/currency_trader_view.pt,
	  unk/skins/bastionbanking/currencytrader.gif,
	  unk/skins/bastionbanking/merchant.gif,
	  unk/skins/bastionbanking/quote.gif: icon upgrade

2008-06-24 21:59  alan

	* unk/CurrencyIndex.py, unk/tests/testCurrencyIndex.py:
	  base_currency setting into ctor

2008-06-22 19:17  alan

	* unk/CurrencyIndex.py, unk/ZCurrency.py, unk/__init__.py,
	  unk/currency.py, unk/dtml/addCurrencyIndex.dtml,
	  unk/dtml/browseIndex.dtml, unk/dtml/manageCurrencyIndex.dtml,
	  unk/interfaces/ICurrencyIndex.py, unk/tests/testCurrencyIndex.py,
	  unk/version.txt, unk/www/index.gif: CurrencyIndex implementation

2008-06-13 23:17  alan

	* unk/currency.py, unk/tests/testCurrency.py, unk/version.txt:
	  implemented format strings in strfcur

2008-05-29 02:16  alan

	* unk/version.txt: Z3 implements

2008-05-29 00:23  alan

	* unk/Banks/ManualPayment/ManualPayment.py,
	  unk/Merchants/BNZ/ZBNZ.py,
	  unk/Merchants/BarclayCard/ZBarclayCard.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/StGeorge/ZStGeorge.py,
	  unk/Merchants/VeriSign/ZVeriSign.py, unk/ZCurrency.py,
	  unk/__init__.py, unk/configure.zcml,
	  unk/interfaces/BastionBankInterface.py,
	  unk/interfaces/BastionMerchantInterface.py,
	  unk/tests/testZCurrency.py, unk/version.txt: Z3 implements

2007-11-25 23:24  alan

	* unk/Archetypes.py, unk/currency.py, unk/version.txt:
	  CurrencyField implementation

2007-11-15 11:32  alan

	* unk/Archetypes.py, unk/tests/testArchetypes.py,
	  unk/tests/testZCurrency.py, unk/version.txt: size into
	  AmountWidget

2007-10-25 02:04  alan

	* unk/Archetypes.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/VeriSign/ZVeriSign.py, unk/ZCurrency.py,
	  unk/configure.zcml, unk/skins/bastionbanking/widgets_amount.pt,
	  unk/version.txt: Archetype widget for Amount

2007-09-15 20:15  alan

	* unk/Makefile: hmmm - remove tarball Makefile

2007-09-15 04:26  alan

	* unk/currency.py, unk/tests/testCurrency.py, unk/version.txt:
	  allow indiscriminately based zero amount arithmetic

2007-05-26 00:34  alan

	* unk/Merchants/VeriSign/certs: remove pfpro from verisign suite

2007-05-25 18:00  alan

	* unk/BastionMerchantService.py, unk/BastionTradeable.py,
	  unk/Merchants/VeriSign/tests/testVeriSign.py,
	  unk/Merchants/VeriSign/verisign.py,
	  unk/Merchants/VeriSign/version.txt, unk/version.txt: remove pfpro
	  from verisign suite

2007-03-30 15:22  alan

	* unk/BastionMerchantService.py: raise errors, return
	  BastionPayments

2007-03-30 15:21  alan

	* unk/ZReturnCode.py: default response in ctor

2007-03-30 15:20  alan

	* unk/returncode.py: more robust ctor handling of bad severity

2007-03-04 13:36  alan

	* unk/Banks/ManualPayment/ManualPayment.py,
	  unk/BastionCurrencyTrader.py, unk/Merchants/BNZ/bnz.py,
	  unk/Merchants/BarclayCard/ZBarclayCard.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/StGeorge/stgeorge.py,
	  unk/Merchants/VeriSign/verisign.py, unk/ZCurrency.py,
	  unk/currency.py, unk/tests/testCurrency.py: moving stuff to
	  site-packages

2007-02-24 04:01  alan

	* unk/Extensions/Install.py: copyright stuff

2007-02-24 04:00  alan

	* unk/Merchants/BNZ/bnz.py: unportable webpayclient librarysvn diff
	  Merchants/BNZ/bnz.py

2007-02-24 03:59  alan

	* unk/Merchants/VeriSign/verisign.py: trap comms errors

2007-02-01 14:11  alan

	* unk/skins/bastionbanking/bastionmerchant_view.cpt,
	  unk/skins/bastionbanking/validate_creditcard.vpy,
	  unk/zpt/merchant_search.zpt: validate_creditcard not throwing
	  cc_expiry properly

2007-01-31 09:20  alan

	* unk/BastionMerchantService.py, unk/zpt/merchant_search.zpt:
	  transaction reversal on refund

2007-01-30 15:35  alan

	* unk/BastionMerchantService.py, unk/Exceptions.py: Back-end
	  failure exceptions

2007-01-30 15:29  alan

	* unk/zpt/merchant_search.zpt: typos in ZMI

2007-01-30 10:36  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/PortalContent.py, unk/ZCreditCard.py, unk/__init__.py,
	  unk/config.py,
	  unk/skins/bastionbanking/bastionmerchant_save_search.cpy,
	  unk/skins/bastionbanking/bastionmerchant_save_search.cpy.metadata,
	  unk/skins/bastionbanking/bastionmerchant_view.cpt,
	  unk/skins/bastionbanking/bastionmerchant_view.cpt.metadata,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/skins/bastionbanking/creditcard.gif,
	  unk/skins/bastionbanking/creditcard_view.pt,
	  unk/skins/bastionbanking/payment.gif, unk/version.txt,
	  unk/www/creditcard.gif, unk/www/payment.gif,
	  unk/zpt/returncodes.zpt: fully skinned Merchant

2007-01-26 14:17  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/PortalContent.py,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/zpt/merchant_search.zpt, unk/zpt/returncodes.zpt: reference
	  searching

2007-01-25 09:34  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/BNZ/ZBNZ.py,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/skins/bastionbanking/portlet_donation.pt, unk/version.txt,
	  unk/zpt/merchant_queue.zpt, unk/zpt/merchant_search.zpt,
	  unk/zpt/returncodes.zpt: payment reference (object) setting

2007-01-20 17:26  alan

	* unk/Merchants/BNZ/ZBNZ.py: cc_ prefix request variables so don't
	  conflict with calendar

2007-01-20 17:25  alan

	* unk/creditcard.py: pass name into string representation

2007-01-20 17:24  alan

	* unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/portlet_donation.pt: Plone 2.1.x skins

2007-01-11 01:25  alan

	* unk/BastionPayment.py, unk/Merchants/VeriSign/ZVeriSign.py,
	  unk/version.txt: payment workflow transitions permissions guards

2006-12-12 08:54  alan

	* unk/skins/bastionbanking/validate_creditcard.vpy: prefix cc_ to
	  request

2006-12-12 08:54  alan

	* unk/creditcard.py: expiry date is end of month...

2006-12-12 08:52  alan

	* unk/Merchants/VeriSign/ZVeriSign.py,
	  unk/Merchants/VeriSign/verisign.py: Partner attributne now needed

2006-11-17 14:43  alan

	* unk/skins/bastionbanking/validate_creditcard.vpy: credit card
	  verify validator

2006-10-17 12:30  alan

	* unk/currency.py, unk/tests/testCurrency.py: rounding and hash key
	  features

2006-10-13 09:24  alan

	* unk/currency.py,
	  unk/skins/bastionbanking/bastionbanking_donation.cpy,
	  unk/skins/bastionbanking/bastionbanking_donation.cpy.metadata,
	  unk/tests/testCurrency.py: allow as key to a hash

2006-09-10 09:09  alan

	* unk/skins/bastionbanking/validate_amount.vpy: add validate_amount

2006-08-20 11:56  alan

	* unk/currency.py, unk/tests/testCurrency.py, unk/version.txt:
	  represent credits in parenthesis

2006-08-17 12:24  alan

	* unk/ZCurrency.py: ZMI security machinery seems to require public
	  access to ZCurrency

2006-08-13 10:03  alan

	* unk/__init__.py: fixed security issues with constructor in ZPT

2006-08-13 10:02  alan

	* unk/component.xml: placeholder for xml configuration

2006-08-13 10:01  alan

	* unk/BastionPayment.py: fix permission warning

2006-08-13 10:01  alan

	* unk/ZCurrency.py, unk/currency.py, unk/tests/testCurrency.py,
	  unk/tests/testZCurrency.py: signed currencies (debit/credit)

2006-07-29 05:06  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/ZReturnCode.py, unk/__init__.py: merchant payments now return
	  a BastionPayment

2006-07-23 10:09  alan

	* unk/currency.py, unk/version.txt: enforced decimal rounding in
	  currency arithmetic

2006-07-15 12:36  alan

	* unk/BastionMerchantService.py, unk/Merchants/BNZ/ZBNZ.py,
	  unk/Merchants/BNZ/bnz.py, unk/ZCreditCard.py, unk/__init__.py,
	  unk/creditcard.py, unk/currency.py, unk/version.txt: creditcard
	  verify bugs

2006-07-15 12:35  alan

	* unk/Merchants/VeriSign/ZVeriSign.py, unk/Merchants/VeriSign/doc,
	  unk/Merchants/VeriSign/doc/PayflowPro_Guide.pdf,
	  unk/Merchants/VeriSign/doc/XMLPay.pdf,
	  unk/Merchants/VeriSign/verisign.py: AVS/CSC checks

2006-06-19 13:05  alan

	* unk/BastionMerchantService.py: clear cvv2 info ALWAYS

2006-06-19 13:05  alan

	* unk/BastionPayment.py: fixed uncatalog_object problem

2006-06-09 11:52  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/ZCreditCard.py, unk/ZReturnCode.py, unk/creditcard.py,
	  unk/help/merchantprops.stx, unk/zpt/returncodes.zpt: allow card
	  number mangling in configuration

2006-06-03 08:37  alan

	* unk/Merchants/VeriSign/ZVeriSign.py, unk/Permissions.py: bug in
	  permission setting

2006-06-03 07:03  alan

	* unk/BastionBankService.py, unk/BastionMerchantService.py,
	  unk/BastionPayment.py, unk/Merchants/VeriSign/ZVeriSign.py,
	  unk/Permissions.py, unk/PortalContent.py, unk/ZReturnCode.py,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/zpt/merchant_search.zpt, unk/zpt/returncodes.zpt: payments
	  into skins, submitted date search fixes

2006-06-01 11:59  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/BNZ/ZBNZ.py,
	  unk/Merchants/BarclayCard/ZBarclayCard.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/StGeorge/ZStGeorge.py, unk/PortalContent.py,
	  unk/ZCreditCard.py, unk/ZReturnCode.py, unk/creditcard.py,
	  unk/currency.py, unk/returncode.py, unk/tests/BankingTestCase.py,
	  unk/tests/__init__.py, unk/tests/testCurrency.py,
	  unk/version.txt, unk/zpt/merchant_search.zpt,
	  unk/zpt/merchant_view.zpt, unk/zpt/returncodes.zpt:
	  BastionPayments/returncode logging

2006-06-01 11:57  alan

	* unk/Merchants/VeriSign/certs,
	  unk/Merchants/VeriSign/certs/f73e89fd.0: first cut PayFlow

2006-06-01 11:57  alan

	* unk/Merchants/VeriSign/ZVeriSign.py,
	  unk/Merchants/VeriSign/tests,
	  unk/Merchants/VeriSign/tests/framework.py,
	  unk/Merchants/VeriSign/tests/testVeriSign.py,
	  unk/Merchants/VeriSign/verisign.py, unk/Merchants/VeriSign/xml,
	  unk/Merchants/VeriSign/xml/authtxn.zpt,
	  unk/Merchants/VeriSign/xml/capturetxn.zpt,
	  unk/Merchants/VeriSign/xml/payrequest.zpt,
	  unk/Merchants/VeriSign/xml/saletxn.zpt,
	  unk/Merchants/VeriSign/xml/validateauth.zpt: first cut PayFlow

2006-05-22 23:17  alan

	* unk/Merchants/VeriSign/README.txt: VeriSign PayFlow first cut

2006-05-22 23:12  alan

	* unk/BastionMerchantService.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/VeriSign, unk/Merchants/VeriSign/ZVeriSign.py,
	  unk/Merchants/VeriSign/__init__.py,
	  unk/Merchants/VeriSign/verisign.py,
	  unk/Merchants/VeriSign/version.txt, unk/Merchants/VeriSign/www,
	  unk/Merchants/VeriSign/www/verisign.gif,
	  unk/Merchants/VeriSign/zpt, unk/creditcard.py: VeriSign PayFlow
	  first cut

2006-04-26 10:23  alan

	* unk/Banks/ManualPayment/ManualPayment.py,
	  unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/BNZ/ZBNZ.py,
	  unk/Merchants/BarclayCard/ZBarclayCard.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/StGeorge/ZStGeorge.py, unk/ZReturnCode.py,
	  unk/returncode.py,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt, unk/version.txt,
	  unk/zpt/merchant_queue.zpt, unk/zpt/returncodes.zpt: add
	  returncodes to BastionPayment audit trail

2006-04-03 13:29  alan

	* unk/Merchants/BNZ/bnz.py, unk/Merchants/BNZ/gateway.cer:
	  rationalise bnz in regard to ZBNZ wrappers and remove test
	  passwords

2006-04-03 12:50  alan

	* unk/Merchants/BNZ/bnz.py: rationalise bnz in regard to ZBNZ
	  wrappers and remove test passwords

2006-04-03 10:47  alan

	* unk/Merchants/PayPal/version.txt: _generateBastionPayment API

2006-04-03 10:38  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/interfaces/BastionMerchantInterface.py,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt, unk/version.txt,
	  unk/zpt/merchant_view.zpt: _generateBastionPayment API

2006-04-03 10:35  alan

	* unk/Merchants/BNZ/README.txt, unk/Merchants/BNZ/ZBNZ.py,
	  unk/Merchants/BNZ/bnz.py, unk/Merchants/BNZ/test.pl: rationalise
	  bnz in regard to ZBNZ wrappers and remove test passwords

2006-03-01 07:29  alan

	* unk/Merchants/BNZ/bnz.py, unk/PaymentPolicy.py, unk/__init__.py:
	  permissiongeddon

2006-02-13 23:14  alan

	* unk/__init__.py: need a security declaration on ZCurrency
	  constructor

2006-02-13 03:56  alan

	* unk/PaymentPolicy.py: explicit Zope security mechanisms

2006-02-13 03:53  alan

	* unk/ZCurrency.py: explicit Zope security mechanisms

2006-02-03 07:07  alan

	* unk/version.txt: DEFAULT_CURRENCY environment variable

2006-02-03 07:06  alan

	* unk/Merchants/BNZ/bnz.py, unk/Merchants/BNZ/doc,
	  unk/Merchants/BNZ/doc/Buy-Line+ Perl API Developer Guide.pdf,
	  unk/Merchants/BNZ/doc/V8.0 Jan 2006 Buy-Line+ Credit card
	  Transaction Specification.pdf, unk/Merchants/BNZ/www/bnz.gif,
	  unk/Merchants/StGeorge/Makefile,
	  unk/Merchants/StGeorge/stgeorge.py: webpayclient modifications

2006-02-03 07:04  alan

	* unk/BastionCurrencyTrader.py, unk/BastionMerchantService.py,
	  unk/BastionPayment.py, unk/creditcard.py: Zope 2.8.x transaction
	  mgmt upgrade

2006-02-03 06:57  alan

	* unk/ZCurrency.py, unk/currency.py: DEFAULT_CURRENCY environment
	  variable

2005-11-06 01:04  alan

	* unk/Merchants/BNZ/www, unk/Merchants/BNZ/zpt: initial revision

2005-11-06 01:01  alan

	* unk/Merchants/BNZ, unk/Merchants/BNZ/ZBNZ.py,
	  unk/Merchants/BNZ/__init__.py, unk/Merchants/BNZ/bnz.py,
	  unk/Merchants/BNZ/gateway.cer, unk/Merchants/BNZ/setup.py,
	  unk/Merchants/BNZ/version.txt: initial revision

2005-11-06 00:57  alan

	* unk/Merchants/StGeorge/BPlatform.h,
	  unk/Merchants/StGeorge/BTypes.h, unk/Merchants/StGeorge/setup.py,
	  unk/Merchants/StGeorge/version.txt,
	  unk/Merchants/StGeorge/webpayclient.h,
	  unk/Merchants/StGeorge/webpayclient.i: new webpayclient RPM
	  package

2005-09-05 11:28  alan

	* unk/BastionCurrencyTrader.py, unk/BastionMerchantService.py,
	  unk/BastionPayment.py: portal_type for navigation

2005-09-04 10:58  alan

	* unk/BastionPayment.py: trap portal_workflow exception

2005-07-12 09:31  alan

	* unk/Banks/__init__.py, unk/Merchants/__init__.py,
	  unk/version.txt: dtml missing from RPM

2005-07-01 17:05  alan

	* unk/BastionCurrencyTrader.py, unk/BastionTradeable.py,
	  unk/Exceptions.py: bid/sell quotes optional in pricing

2005-06-07 23:53  alan

	* unk/BastionTradeable.py: removing status fields

2005-04-16 07:55  alan

	* unk/BastionMerchantService.py: paypal patches

2005-04-14 02:50  alan

	* unk/BastionPayment.py: robustify manage_afterAdd

2005-03-20 13:57  alan

	* unk/BastionBankService.py, unk/BastionMerchantService.py,
	  unk/Exceptions.py, unk/Merchants/BarclayCard/ZBarclayCard.py,
	  unk/Merchants/BarclayCard/version.txt,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/PayPal/version.txt,
	  unk/Merchants/StGeorge/ZStGeorge.py,
	  unk/Merchants/StGeorge/version.txt, unk/creditcard.py,
	  unk/interfaces/BastionMerchantInterface.py, unk/version.txt:
	  currency capability for merchants

2005-02-07 10:47  alan

	* unk/version.txt: currency conversion bug

2005-02-06 03:46  alan

	* unk/BastionCurrencyTrader.py, unk/ConnectionMgr.py: doh -
	  exchange rates not inversed

2004-12-08 02:53  alan

	* unk/Merchants/PayPal/version.txt: new release

2004-12-08 02:26  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Merchants/PayPal/ZPayPal.py: remove autorollback for test_ipn

2004-12-07 15:06  alan

	* unk/Merchants/PayPal/ZPayPal.py: doh - getToolByName include
	  missing

2004-12-07 15:02  alan

	* unk/BastionMerchantService.py, unk/Merchants/PayPal/ZPayPal.py:
	  optional shipping info

2004-12-07 14:30  alan

	* unk/BastionMerchantService.py: broken repair function

2004-12-07 14:21  alan

	* unk/PortalContent.py: BastionPayable Workflow released

2004-12-07 14:13  alan

	* unk/BastionMerchantService.py, unk/BastionPayment.py,
	  unk/Extensions/Install.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/Permissions.py, unk/config.py, unk/help/queue.stx,
	  unk/help/search.stx,
	  unk/skins/bastionbanking/bastionmerchant_view.pt,
	  unk/skins/bastionbanking/bastionpayment_view.pt,
	  unk/skins/bastionbanking/merchant.gif,
	  unk/skins/bastionbanking/payment.gif, unk/version.txt,
	  unk/zpt/merchant_queue.zpt, unk/zpt/merchant_search.zpt,
	  unk/zpt/merchant_view.zpt: BastionPayable Workflow released

2004-12-06 15:26  alan

	* unk/BastionCurrencyTrader.py,
	  unk/skins/bastionbanking/currency_trader_view.pt:
	  BastionCurrencyTrader custom view implementation

2004-12-06 12:04  alan

	* unk/Banks/ManualPayment/version.txt,
	  unk/BastionCurrencyTrader.py, unk/BastionTradeable.py,
	  unk/Extensions/Install.py, unk/Merchants/BarclayCard/version.txt,
	  unk/Merchants/PayPal/version.txt,
	  unk/Merchants/StGeorge/version.txt, unk/ZCurrency.py,
	  unk/__init__.py, unk/config.py, unk/currency.py,
	  unk/dtml/properties.dtml, unk/skins/bastionbanking/currency.gif,
	  unk/skins/bastionbanking/currency_tradeable_edit.cpy,
	  unk/skins/bastionbanking/currency_tradeable_edit.cpy.metadata,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt,
	  unk/skins/bastionbanking/currency_tradeable_edit_form.cpt.metadata,
	  unk/skins/bastionbanking/currency_tradeable_view.pt,
	  unk/skins/bastionbanking/currencytrader.gif,
	  unk/skins/bastionbanking/quote.gif,
	  unk/skins/bastionbanking/validate_payee_account.vpy,
	  unk/version.txt, unk/zpt/add_quote.zpt: Plonifying
	  BastionCurrencyTrader

2004-12-03 17:02  alan

	* unk/Merchants/PayPal/ZPayPal.py, unk/currency.py,
	  unk/tests/testCurrency.py: allowing compare to zero

2004-12-03 08:31  alan

	* unk/skins/bastionbanking/portlet_donation.pt: tidy up portlet
	  presentation

2004-12-02 01:29  alan

	* unk/BastionMerchantService.py, unk/Merchants/PayPal/ZPayPal.py,
	  unk/skins/bastionbanking/bastionbanking_payee.cpy,
	  unk/skins/bastionbanking/bastionbanking_payee_form.cpt:
	  generalised payee skins

2004-12-01 17:47  alan

	* unk/tests/testCurrency.py, unk/tests/testZCurrency.py: more
	  currency equality tests

2004-12-01 17:47  alan

	* unk/skins/bastionbanking/bastionbanking_payee.cpy,
	  unk/skins/bastionbanking/bastionbanking_payee.cpy.metadata,
	  unk/skins/bastionbanking/bastionbanking_payee_form.cpt,
	  unk/skins/bastionbanking/bastionbanking_payee_form.cpt.metadata:
	  payee implementation

2004-12-01 07:18  alan

	* unk/currency.py, unk/tests/testCurrency.py: equality bug

2004-11-27 14:28  alan

	* unk/Merchants/PayPal/ZPayPal.py: rollback for test ipn

2004-11-27 14:11  alan

	* unk/Merchants/PayPal/ZPayPal.py, unk/Merchants/PayPal/tests,
	  unk/Merchants/PayPal/tests/framework.py,
	  unk/Merchants/PayPal/tests/testPayPal.py,
	  unk/tests/BankingTestCase.py: test framework (still WIP)

2004-11-27 11:51  alan

	* unk/Merchants/PayPal/ZPayPal.py: removed remaining PythonScript
	  test stuff

2004-11-27 11:48  alan

	* unk/Merchants/PayPal/ZPayPal.py: recreate acquisition context
	  around txn

2004-11-27 11:44  alan

	* unk/Merchants/PayPal/ZPayPal.py: recreate acquisition context
	  around txn

2004-11-27 11:34  alan

	* unk/Merchants/PayPal/ZPayPal.py: fix transport read

2004-11-27 11:30  alan

	* unk/Merchants/PayPal/ZPayPal.py: fix transport usage in ZPayPal
	  ipn

2004-11-27 10:23  alan

	* unk/BastionMerchantService.py, unk/Extensions,
	  unk/Extensions/Install.py, unk/Extensions/__init__.py,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/PayPal/www/paypal.gif, unk/Merchants/__init__.py,
	  unk/__init__.py, unk/config.py, unk/skins,
	  unk/skins/bastionbanking,
	  unk/skins/bastionbanking/bastionbanking_donation.cpy,
	  unk/skins/bastionbanking/bastionbanking_donation.cpy.metadata,
	  unk/skins/bastionbanking/portlet_donation.pt: Plone demo portlets

2004-11-25 10:29  alan

	* unk/BastionMerchantService.py, unk/ConnectionMgr.py,
	  unk/Merchants/BarclayCard/ZBarclayCard.py, unk/Merchants/PayPal,
	  unk/Merchants/PayPal/ZPayPal.py,
	  unk/Merchants/PayPal/__init__.py, unk/Merchants/PayPal/www,
	  unk/Merchants/PayPal/www/paypal.gif, unk/help/merchantview.stx,
	  unk/zpt/merchant_view.zpt: first cut PayPal

2004-11-16 06:17  alan

	* unk/ZCurrency.py: incorrect permission spelling

2004-10-26 03:13  alan

	* unk/Banks/__init__.py: fixes

2004-10-26 03:12  alan

	* unk/BastionCurrencyTrader.py: added midRate function

2004-09-12 06:30  alan

	* unk/Converters.py, unk/ZCurrency.py, unk/__init__.py,
	  unk/currency.py, unk/tests/testZCurrency.py: dumbing down
	  ZCurrency widget

2004-09-12 03:48  alan

	* unk/tests/testCurrencyTrader.py: currency trader test

2004-09-10 18:09  alan

	* unk/dtml, unk/dtml/properties.dtml: overriding delivered for
	  ZCurrency plugin

2004-09-10 18:07  alan

	* unk/zpt/currency_tradeable.zpt, unk/zpt/log.zpt,
	  unk/zpt/paymentpolicy.zpt, unk/zpt/paymentservice.zpt: bad tag
	  ending propagated from global replace

2004-09-10 18:05  alan

	* unk/tests/runalltests.py, unk/tests/testBank.py,
	  unk/tests/testZCurrency.py: fixed incorrect test suite names

2004-08-06 14:10  alan

	* unk/Merchants/BarclayCard/version.txt,
	  unk/Merchants/StGeorge/version.txt, unk/version.txt: bumped
	  releases

2004-08-06 12:22  alan

	* unk/BastionBankService.py, unk/BastionMerchantService.py,
	  unk/Converters.py, unk/MANIFEST, unk/__init__.py,
	  unk/tests/testBank.py, unk/tests/testMerchant.py: simple creation
	  tests

2004-08-06 12:21  alan

	* unk/Merchants/BarclayCard/MPI.pm,
	  unk/Merchants/BarclayCard/ZBarclayCard.py: localised Perl script

2004-08-06 11:11  alan

	* unk/Banks/ManualPayment/zpt/payments.zpt,
	  unk/Merchants/BarclayCard/zpt/barclaycard.zpt,
	  unk/Merchants/StGeorge/stgeorge.py, unk/zpt/add_bank.zpt,
	  unk/zpt/add_currency_tradeable.zpt,
	  unk/zpt/add_merchantservice.zpt, unk/zpt/add_paymentpolicy.zpt,
	  unk/zpt/add_quote.zpt, unk/zpt/currency_tradeable.zpt,
	  unk/zpt/log.zpt, unk/zpt/log_event.zpt,
	  unk/zpt/paymentpolicy.zpt, unk/zpt/paymentservice.zpt: banish
	  standard_pagetemplate

2004-07-07 12:23  alan

	* unk/MANIFEST, unk/version.txt: packaging

2004-05-08 15:50  alan

	* unk/BastionCurrencyTrader.py, unk/BastionTradeable.py,
	  unk/ZCurrency.py, unk/__init__.py, unk/currency.py, unk/tests,
	  unk/tests/framework.py, unk/tests/testCurrency.py,
	  unk/tests/testZCurrency.py, unk/www/currency.gif,
	  unk/www/currencytrader.gif, unk/www/quote.gif,
	  unk/zpt/add_currency_tradeable.zpt, unk/zpt/add_quote.zpt,
	  unk/zpt/currency_tradeable.zpt: Currency Trader

2004-03-18 11:33  alan

	* unk/Banks/__init__.py, unk/Merchants/__init__.py: fixed
	  SOFTWARE/INSTANCE_HOME

2004-02-21 05:15  alan

	* unk/Merchants/StGeorge/Makefile: upgrade to 2.3

2004-01-11 06:40  alan

	* unk/Banks/__init__.py, unk/Merchants/__init__.py: 2.7b3
	  multi-instance support

2004-01-03 16:18  alan

	* unk/zpt/paymentpolicy.zpt: form rendering bug

2003-12-05 23:52  alan

	* unk/Banks/ManualPayment/version.txt: base revision

2003-12-05 23:46  alan

	* unk/zpt/add_paymentpolicy.zpt: removing ZBabel

2003-11-03 01:11  alan

	* unk/Banks/Makefile, unk/Merchants/Makefile, unk/currency.py:
	  distro fixed

2003-11-02 23:45  alan

	* unk/Merchants/BarclayCard/version.txt,
	  unk/Merchants/StGeorge/ZStGeorge.py,
	  unk/Merchants/StGeorge/__init__.py,
	  unk/Merchants/StGeorge/version.txt: release control

2003-10-31 02:19  alan

	* unk/Makefile: remove CVS from distro

2003-10-31 02:11  alan

	* unk/Banks/Makefile, unk/Makefile: distro

2003-10-31 00:44  alan

	* unk/Merchants/Makefile, unk/Merchants/StGeorge/Makefile: distro

2003-10-30 23:36  alan

	* unk/Merchants/StGeorge/stgeorge.py: working test stub

2003-10-30 22:53  alan

	* unk/Merchants/BarclayCard/BarclayCard.py,
	  unk/Merchants/BarclayCard/ZBarclayCard.py,
	  unk/Merchants/StGeorge, unk/Merchants/StGeorge/BPlatform.h,
	  unk/Merchants/StGeorge/BTypes.h, unk/Merchants/StGeorge/Makefile,
	  unk/Merchants/StGeorge/ZStGeorge.py,
	  unk/Merchants/StGeorge/setup.py,
	  unk/Merchants/StGeorge/stgeorge.py,
	  unk/Merchants/StGeorge/webpayclient.h,
	  unk/Merchants/StGeorge/webpayclient.i,
	  unk/Merchants/StGeorge/www,
	  unk/Merchants/StGeorge/www/stgeorge.gif,
	  unk/Merchants/__init__.py, unk/creditcard.py, unk/returncode.py:
	  Base Revision

2003-10-30 22:53  alan

	* unk/Banks/ManualPayment/ManualPayment.py, unk/BastionBankLog.py,
	  unk/BastionBankService.py, unk/BastionMerchantService.py,
	  unk/Currency.py, unk/ReturnCode.py, unk/ZCreditCard.py,
	  unk/ZCurrency.py, unk/ZReturnCode.py, unk/__init__.py,
	  unk/currency.py, unk/interfaces/BastionBankInterface.py,
	  unk/interfaces/BastionMerchantInterface.py, unk/setup.py:
	  ZCurrency ...

2003-10-30 17:04  alan

	* unk/Banks/ManualPayment/ManualPayment.py,
	  unk/BastionBankService.py, unk/BastionMerchantService.py,
	  unk/Makefile, unk/Merchants/BarclayCard/BarclayCard.py,
	  unk/PaymentPolicy.py, unk/ReturnCode.py, unk/__init__.py,
	  unk/interfaces/BastionBankInterface.py,
	  unk/interfaces/BastionMerchantInterface.py: forgot
	  Banks/Merchants in distro

2003-10-24 07:26  alan

	* unk/zpt/add_bank.zpt: New Banking Service

2003-10-23 19:06  alan

	* unk/Banks/ManualPayment/ManualPayment.py,
	  unk/Banks/ManualPayment/__init__.py,
	  unk/Banks/ManualPayment/zpt/payments.zpt,
	  unk/BastionBankService.py, unk/PaymentPolicy.py, unk/Transports,
	  unk/__init__.py, unk/www/policy.gif,
	  unk/zpt/add_paymentpolicy.zpt, unk/zpt/paymentpolicy.zpt,
	  unk/zpt/paymentservice.zpt: Payment Policies Implementation

2003-10-23 19:05  alan

	* unk/Currency.py: abs function

2003-10-16 15:04  alan

	* unk/Makefile: make rule

2003-10-16 05:26  alan

	* unk/Banks, unk/Banks/ManualPayment,
	  unk/Banks/ManualPayment/ManualPayment.py,
	  unk/Banks/ManualPayment/__init__.py, unk/Banks/ManualPayment/www,
	  unk/Banks/ManualPayment/www/cheque.gif,
	  unk/Banks/ManualPayment/www/manualpayment.gif,
	  unk/Banks/ManualPayment/zpt,
	  unk/Banks/ManualPayment/zpt/payments.zpt, unk/Banks/__init__.py,
	  unk/BastionBankLog.py, unk/BastionBankService.py,
	  unk/BastionMerchantService.py, unk/Currency.py,
	  unk/Merchants/BarclayCard/BarclayCard.py,
	  unk/Merchants/BarclayCard/__init__.py, unk/Merchants/__init__.py,
	  unk/Permissions.py, unk/ReturnCode.py, unk/__init__.py,
	  unk/currency.py, unk/interfaces/BastionBankInterface.py,
	  unk/interfaces/BastionMerchantInterface.py,
	  unk/interfaces/__init__.py, unk/setup.py: Opensource Release

2003-10-02 02:28  alan

	* unk/currency.py: bug fix in ctor

2003-10-01 04:45  alan

	* unk/Currency.py, unk/README.txt, unk/__init__.py,
	  unk/currency.py, unk/setup.py: python/Zope separation

2003-07-10 23:24  alan

	* unk/Makefile: Makefile for source distributions

2003-07-10 23:02  alan

	* unk/BastionBankLog.py, unk/Currency.py: Currency Inclusion

2003-05-06 21:28  alan

	* unk/BastionMerchantService.py,
	  unk/Merchants/BarclayCard/BarclayCard.py, unk/ReturnCode.py,
	  unk/__init__.py: BarclayCard and return codes...

2003-04-30 00:41  alan

	* unk/BastionMerchantService.py: fieldchecking

2003-04-30 00:38  alan

	* unk/BastionMerchantService.py: fieldchecking

2003-04-30 00:08  alan

	* unk/zpt/log.zpt: hard-core logging

2003-04-29 21:54  alan

	* unk/BastionBankLog.py, unk/BastionMerchantService.py,
	  unk/Merchants/BarclayCard/BarclayCard.py, unk/ReturnCode.py,
	  unk/zpt/log_event.zpt: hard-core logging

2003-04-17 13:42  alan

	* unk/Merchants/BarclayCard/BarclayCard.py: bug fix

2003-04-17 12:44  alan

	* unk/BastionMerchantService.py,
	  unk/Merchants/BarclayCard/BarclayCard.py,
	  unk/Merchants/BarclayCard/zpt/properties.zpt, unk/ReturnCode.py,
	  unk/__init__.py: bug fixes and better error handling

2003-04-16 02:48  alan

	* unk/Merchants/BarclayCard/zpt/properties.zpt: fixed clientid,
	  ePDQ management API support

2003-04-16 01:00  alan

	* unk/Merchants/__init__.py: doh - forgot about CVS directory...

2003-04-15 23:45  alan

	* unk/BastionMerchantService.py, unk/Merchants,
	  unk/Merchants/BarclayCard,
	  unk/Merchants/BarclayCard/BarclayCard.py,
	  unk/Merchants/BarclayCard/__init__.py,
	  unk/Merchants/BarclayCard/www,
	  unk/Merchants/BarclayCard/www/barclaycard.gif,
	  unk/Merchants/BarclayCard/www/epdq.gif,
	  unk/Merchants/BarclayCard/zpt,
	  unk/Merchants/BarclayCard/zpt/barclaycard.zpt,
	  unk/Merchants/BarclayCard/zpt/properties.zpt,
	  unk/Merchants/__init__.py, unk/Permissions.py, unk/ReturnCode.py,
	  unk/Transports, unk/Transports/TCPIP.py, unk/__init__.py,
	  unk/help, unk/help/bankservice.stx, unk/help/merchantservice.stx,
	  unk/interfaces, unk/interfaces/BastionBankInterface.py,
	  unk/interfaces/BastionMerchantInterface.py,
	  unk/interfaces/__init__.py, unk/refresh.txt, unk/www,
	  unk/www/bank.gif, unk/www/visa.gif, unk/zpt,
	  unk/zpt/add_barclaycard.zpt, unk/zpt/add_merchantservice.zpt:
	  Initial revision

2003-04-15 23:45  

	* anches, gs, unk: New repository initialized by cvs2svn.

